$mainColor1: #038896;
$mainColor2: #8dc043;
$whiteColor: #fff;
$fontColor1: #181c25;
$inputColor: #2d717b;
$grayColor: #b2b2b2;
$grayColor1: #d9d9d9;
$grayColor2: #5e6167;

// .ant-select-selector {
//   height: 50px !important;
//   line-height: 1.36;
// }


input,
.ant-picker {
  height: 40px !important;
  width: 100%;
}

.ant-input-search-button {
  height: 40px !important;
  border: none !important;
  font-size: 25px;
  width: 60px !important;
  background-color: $mainColor2 !important;
}

.footer .ant-input-search-button {
  width: auto !important;


}

.footer input {
  background-color: #e8e2e2 !important;

}

.container,
.container-lg,
.container-md,
.container-sm,
.container-xl {
  max-width: 1400px !important;
}

.homePage,
.newsDetails,
.newsListing {
  margin-top: 70px;
}

.ant-drawer .ant-drawer-content-wrapper {
  width: 30% !important;
  position: absolute !important;
  top: 75.5px !important;
  z-index: 99 !important !important;
  transition: top 1s !important;

  .ant-drawer-content {
    background-color: $mainColor1 !important;
    box-shadow: 0 0 2px 0 #abafbe !important;
    border-top: 1px solid $grayColor !important;

    a {
      font-size: 30px;
      color: $whiteColor;
    }

    p {
      color: $grayColor;
      font-size: 15px;
    }
  }
}

.bottomSideMenu li,
.bottomSideMenu i {
  color: $whiteColor;
  margin: 5px;
  font-size: 20px;
}

.bm-overlay {
  transition: all 0.3s ease 0.3s !important;
}

.topSideMenu,
.topSideMenu:focus-visible {
  padding-left: 30%;
  padding-top: 20px;
  border: none !important;
  outline: none !important;
}

ul {
  list-style-type: none;
}

.linkNav {
  .navItem {
    margin: auto 15px;
  }

  .sideitem {
    cursor: pointer;
  }


  .navitem-active {
    color: $mainColor2 !important;
  }

  .ant-dropdown-menu {
    padding: 20px 20px 20px 5px !important;
    border-radius: 10px !important;
    text-align: left;
  }

  .ant-dropdown-menu-item,
  .ant-dropdown-menu-submenu-title {
    padding: 0 !important;
    text-align: left;
    font-weight: bold;
  }

  .dropdownTitle {
    color: $grayColor;
    font-weight: 600;
  }

  .checkLink {
    color: $mainColor2;
    font-weight: 100 !important;
    padding-left: 10px;
  }

  .allNotBtn .ant-dropdown-menu-title-content {
    margin: auto;
    color: $mainColor2;
  }

  .allNotBtn:hover .notificationArrow {
    padding: 0 10px;
    text-shadow: none;
    transition: 1s;
  }

  .ant-dropdown-menu-item:hover {
    background-color: transparent !important;
    color: $mainColor1 !important;
  }

  .userImg span {
    color: $whiteColor !important;
  }

  .navbar {
    background-color: $mainColor1 !important;
    color: $whiteColor !important;
  }

  .bm-overlay {
    background-color: transparent !important;
  }

  .navdropIcon {
    font-size: 20px;
    padding: 10px;
  }

  .navdropIcon:hover {
    background-color: $mainColor2;
    border-radius: 5px;
    cursor: pointer;
  }


  .Searchcontainer {
    display: flex;
    justify-content: center;
    align-items: center;

    i {
      position: relative;
      font-size: 20px;
      color: $whiteColor;
      cursor: pointer;
    }

    .searchClosed {
      position: relative;
      padding: 15px 40px 15px 20px;
      background-color: transparent;
      width: 5px;
      color: $fontColor1;
      text-transform: uppercase;
      font-size: 16px;
      font-weight: 100;
      letter-spacing: 2px;
      border: none;
      border-radius: 5px;
      transition: width 0.4s ease;
      outline: none;
    }

    .searchOpened::placeholder {
      color: $whiteColor !important;
    }

    .searchOpened {
      width: 300px;
      position: relative;
      padding: 15px 40px 15px 20px;
      background-color: $inputColor;
      color: $whiteColor;
      font-size: 16px;
      font-weight: 100;
      letter-spacing: 2px;
      border: none;
      text-align: left;
      border-radius: 5px;
      margin-right: 5px;
      transition: width 0.4s ease;
      outline: none;
    }
  }


}

.viewAllBtn {
  margin: auto;

  a {
    background-color: transparent !important;
    color: $mainColor2 !important;
    border: none !important;
    font-size: 16px;
  }
}

.favIcons {
  text-align: right;
}

.homeNews {
  .ant-card {
    box-shadow: 0 0 8px 0 #d4d6de;
    border-radius: 10px;
  }

  .prevLinks span {
    color: $grayColor;
    font-weight: bold;
    font-size: 15px;
  }

  .cardTitle {
    height: 150px !important;
    font-weight: bold;
  }

  .newsBtn,
  .newsBtn :hover,
  .newsBtn :focus {
    background-color: $grayColor1 !important;
    color: $grayColor2 !important;
    border-radius: 5px;
    font-weight: bold;
    outline: none !important;
    border: none !important;
    margin-bottom: 10px;
  }

  .cardDate {
    position: absolute;
    bottom: 5px;
  }

  .cardDesc {
    color: $grayColor2;
    font-size: 17px;
    padding-bottom: 35px;
  }

  i {
    color: $mainColor2;
    margin: auto 10px;
    font-size: 20px;
  }

  .newsLink {
    color: $grayColor;
  }

  .homeLink {
    color: $mainColor1;
  }
}

.footer {
  background-color: $grayColor1;
  overflow: hidden;

  a,
  p,
  i {
    color: $grayColor2;
  }

  i {
    font-size: 20px;
    margin: auto 15px;
  }

  .footerYear {
    background-color: $mainColor1;
    padding: 10px;
    color: $whiteColor;
    text-align: center;
  }

  .footerLinks {
    padding-top: 35px;
    padding-bottom: 35px;
  }

  li {
    text-align: left;
  }

  button {
    background-color: $mainColor2;
    color: $whiteColor;
  }
}

.homeHelp {
  padding: 100px;
  opacity: .8;
  background-image: url("../images/homeFooter.png");
  background-position: center;
  background-repeat: no-repeat;
  width: 100%;
  text-align: center;
  color: $whiteColor;
  background-size: cover;



  h1,
  h5 {
    color: $whiteColor;
  }

  h5 {
    font-size: 25px;
  }

  h1 {
    font-size: 45px;
  }

  .square {
    width: 170px;
    height: 170px;
    transform: rotate(45deg);
    border: 4px solid #fff;

    &:hover {
      background-color: $mainColor2;
    }

    .squareData {
      transform: rotate(-45deg);
      position: absolute;
      // top: 50%;
      // left: 50%;
      margin: auto;
      text-align: center;
      vertical-align: middle;
      // transform: translate(-50%, -50%) rotate(-45deg);
      color: #fff;
      font-weight: bold;
      line-height: 0;

      p {
        font-size: 20px;
      }
    }
  }

  // .square:before {
  //   content: "";
  //   width: 106px;
  //   height: 106px;
  //   
  //   background: transparent;
  //   position: absolute;
  //   transform: translate(-50%, -50%);
  //   top: 50%;
  //   left: 50%;


  // }


}

.homeHeader {
  width: 100%;
  position: relative;
  /* margin-bottom: 50px; */
}

.slick-dots li.slick-active button:before {
  color: #8dc043 !important;
}

.homeHeader .slick-dots {
  bottom: 10% !important;
}

.slick-dots li button:before {
  font-size: 15px !important;
}

.slick-dots li {
  width: 30px !important;
}

.slick-list,
.slick-slider {
  height: 100vh;
  width: 100%;
}

.homeHeader img {
  height: 70vh;
  opacity: .6;
}

// .carousel-control-prev-icon,
// .carousel-control-next-icon {
//   background-color: $grayColor;
//   padding: 20px;
// }


.carousel-indicators {
  .active {
    background-color: $mainColor2 !important;
    opacity: 1 !important;
  }

  li {
    height: 15px !important;
    width: 15px !important;
    border-radius: 50%;
    margin-right: 8px;
    margin-left: 8px;
  }
}

.carousel-caption {
  top: 40% !important;

  h2 {
    font-size: 40px;
    color: $whiteColor;

  }

  p {
    font-size: 30px;
    color: $whiteColor;

  }

  button {
    background-color: $mainColor2 !important;
    color: $whiteColor;
    border: none;

  }
}

.slick-prev:before,
.slick-next:before {
  font-family: "slick";
  font-size: 25px;
  line-height: 1;
  opacity: 0.75;
  color: #d4d6de !important;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  margin-bottom: 10px;
}

.newsListing {
  background-color: #efefef;

  .ant-pagination {
    text-align: center;
  }

  .ant-pagination-item {
    font-weight: bold;
    border-radius: 5px;
  }

  .ant-pagination-item-link {
    color: $mainColor2;
    border-radius: 5px !important;

    &:hover {
      border-color: $mainColor2 !important;
      background-color: $mainColor2 !important;
      color: $whiteColor;

      a {
        color: $whiteColor !important;
      }
    }
  }

  .ant-pagination-item-active,
  .ant-pagination-item:hover {
    border-color: $mainColor2 !important;
    background-color: $mainColor2 !important;
    border-radius: 5px;

    a {
      color: $whiteColor !important;
    }
  }
}

.newsDetails {
  background-color: #efefef;

  .ant-card-cover img {
    height: 300px;
    border-radius: 5px 5px 0 0;
  }

  .newsLink {
    color: $mainColor1;
  }

  .detailsLink {
    color: $grayColor;
  }

  .imgLayer {
    background-color: rgba(217, 217, 217, 0.2);
    position: absolute;
    right: 0;
    top: 0;
    left: 0;
    bottom: 0;
  }

  .imgData {
    position: absolute;
    bottom: 10px;
    border-radius: 7px;
    right: 15px;
    left: 15px;
    background-color: rgba(217, 217, 217, 0.9);
    padding: 10px;

    h2 {
      font-weight: bold;
    }
  }
}

@media (max-width: 800px) {
  .ant-drawer .ant-drawer-content-wrapper {
    width: 90% !important;

    .ulDiv {
      padding-left: 27% !important;
    }
  }

  .carousel-caption {
    top: 20% !important;

  }
  .homePage,
  .newsDetails,
  .newsListing {
    margin-top: 90px;
  }

}